---
title: WebGLRenderingContext.drawingBufferHeight
slug: Web/API/WebGLRenderingContext/drawingBufferHeight
tags:
  - API
  - Property
  - Read-only
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The read-only <code><strong>WebGLRenderingContext.drawingBufferHeight</strong></code> property represents the actual height of the current drawing buffer. It should match the <code>height</code> attribute of the {{HTMLElement("canvas")}} element associated with this context, but might differ if the implementation is not able to provide the requested height.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>gl</em></var>.drawingBufferHeight;</pre>

<h2 id="Examples">Examples</h2>

<p>Given this {{HTMLElement("canvas")}} element:</p>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<p>You can get the height of the drawing buffer with the following lines:</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
gl.drawingBufferHeight; // 150
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#DOM-WebGLRenderingContext-drawingBufferHeight", "WebGLRenderingContext.drawingBufferHeight")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.drawingBufferHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.drawingBufferWidth")}}</li>
 <li>{{domxref("WebGLRenderingContext.viewport()")}}</li>
</ul>
